ITfDocumentMgrVtbl Struct Reference

`#include <SDL_msctf.h>`

## Public Member Functions

| HRESULT (STDMETHODCALLTYPE *QueryInterface)(ITfDocumentMgr *
void ** | ULONG (STDMETHODCALLTYPE *AddRef)(ITfDocumentMgr *)
| ULONG (STDMETHODCALLTYPE *Release)(ITfDocumentMgr *)
| HRESULT (STDMETHODCALLTYPE *CreateContext)(ITfDocumentMgr *
IUnknown ITfContext TfEditCookie * | HRESULT (STDMETHODCALLTYPE *Push)(ITfDocumentMgr *
IUnknown ITfContext TfEditCookie ITfContext * | HRESULT (STDMETHODCALLTYPE *Pop)(ITfDocumentMgr *)
| HRESULT (STDMETHODCALLTYPE *GetTop)(ITfDocumentMgr *
ITfContext ** | HRESULT (STDMETHODCALLTYPE *GetBase)(ITfDocumentMgr *
ITfContext ITfContext ** | HRESULT (STDMETHODCALLTYPE *EnumContexts)(ITfDocumentMgr *

## Data Fields

| REFIID
| TfClientId
| DWORD

## Detailed Description

Definition at line 102 of file SDL_msctf.h.

## Member Function Documentation

## HRESULT() [1/7]

ITfDocumentMgrVtbl::HRESULT | ( | STDMETHODCALLTYPE * | QueryInterface | ) |

## HRESULT() [2/7]

ITfDocumentMgrVtbl::HRESULT | ( | STDMETHODCALLTYPE * | CreateContext | ) |

## HRESULT() [3/7]

IUnknown ITfContext TfEditCookie* ITfDocumentMgrVtbl::HRESULT | ( | STDMETHODCALLTYPE * | Push | ) |

## HRESULT() [4/7]

IUnknown ITfContext TfEditCookie ITfContext* ITfDocumentMgrVtbl::HRESULT | ( | STDMETHODCALLTYPE * | Pop | ) |

## HRESULT() [5/7]

ITfDocumentMgrVtbl::HRESULT | ( | STDMETHODCALLTYPE * | GetTop | ) |

## HRESULT() [6/7]

ITfContext** ITfDocumentMgrVtbl::HRESULT | ( | STDMETHODCALLTYPE * | GetBase | ) |

## HRESULT() [7/7]

ITfContext ITfContext** ITfDocumentMgrVtbl::HRESULT | ( | STDMETHODCALLTYPE * | EnumContexts | ) |

## ULONG() [1/2]

void** ITfDocumentMgrVtbl::ULONG | ( | STDMETHODCALLTYPE * | AddRef | ) |

## ULONG() [2/2]

ITfDocumentMgrVtbl::ULONG | ( | STDMETHODCALLTYPE * | Release | ) |

## Field Documentation

## DWORD

ITfDocumentMgrVtbl::DWORD

Definition at line 107 of file SDL_msctf.h.

## REFIID

ITfDocumentMgrVtbl::REFIID

Definition at line 104 of file SDL_msctf.h.

## TfClientId

ITfDocumentMgrVtbl::TfClientId

Definition at line 107 of file SDL_msctf.h.

The documentation for this struct was generated from the following file:

- src/video/windows/SDL_msctf.h